Firebird result class to emulate PDOStatement Class - only implements data-fetching methods

package | Query
subpackage | Drivers

### Methods

## Create the object by passing the resource for the query

    __construct(resource $link)

### Parameters

#### $link

`resource`

## __sleep()

    __sleep()

inherited_from | PDOStatement::__sleep()

## __wakeup()

    __wakeup()

inherited_from | PDOStatement::__wakeup()

## Invalidate method for data consistency

    bindColumn(mixed $column, mixed $param, int $type, mixed $maxlen, array $driverdata) : FALSE

### Parameters

#### $column

`mixed`

#### $param

`mixed`

&$param

#### $type

`int`

#### $maxlen

`mixed`

#### $driverdata

`array`

### Returns

`FALSE`

## Invalidate method for data consistency

    bindParam(mixed $parameter, mixed $variable, int $data_type, mixed $maxlen, array $driverdata) : FALSE

### Parameters

#### $parameter

`mixed`

#### $variable

`mixed`

&$variable

#### $data_type

`int`

#### $maxlen

`mixed`

#### $driverdata

`array`

### Returns

`FALSE`

## Invalidate method for data consistency

    bindValue(mixed $parameter, mixed $variable, int $data_type) : FALSE

### Parameters

#### $parameter

`mixed`

#### $variable

`mixed`

&$variable

#### $data_type

`int`

### Returns

`FALSE`

## closeCursor()

    closeCursor()

inherited_from | PDOStatement::closeCursor()

## columnCount()

    columnCount()

inherited_from | PDOStatement::columnCount()

## debugDumpParams()

    debugDumpParams()

inherited_from | PDOStatement::debugDumpParams()

## Method to emulate PDOStatement->errorCode

    errorCode() : string

### Returns

`string`

## Method to emulate PDO->errorInfo / PDOStatement->errorInfo

    errorInfo() : array

### Returns

`array`

## Run a prepared statement query

    execute(array $args) : bool

### Parameters

#### $args

`array`

### Returns

`bool`

## Emulate PDO fetch public function

    fetch(int $fetch_style, mixed $statement, mixed $offset) : mixed

### Parameters

#### $fetch_style

`int`

#### $statement

`mixed`

#### $offset

`mixed`

### Returns

`mixed`

## Emulate PDO fetchAll public function

    fetchAll(int $fetch_style, mixed $statement, mixed $ctor_args) : mixed

### Parameters

#### $fetch_style

`int`

#### $statement

`mixed`

#### $ctor_args

`mixed`

### Returns

`mixed`

## Emulate PDOStatement::fetchColumn

    fetchColumn(int $column_num) : mixed

### Parameters

#### $column_num

`int`

### Returns

`mixed`

## Emulate PDOStatement::fetchObject, but only for the default use

    fetchObject(string $class_name, array $ctor_args) : \stdClass

### Parameters

#### $class_name

`string`

#### $ctor_args

`array`

### Returns

`\stdClass`

## getAttribute()

    getAttribute()

inherited_from | PDOStatement::getAttribute()

## getColumnMeta()

    getColumnMeta()

inherited_from | PDOStatement::getColumnMeta()

## nextRowset()

    nextRowset()

inherited_from | PDOStatement::nextRowset()

## Return the number of rows affected by the previous query

    rowCount() : int

### Returns

`int`

## setAttribute()

    setAttribute()

inherited_from | PDOStatement::setAttribute()

## setFetchMode()

    setFetchMode()

inherited_from | PDOStatement::setFetchMode()

### Properties

## Data pulled from query

    $result

param | <p>mixed</p>

## Current row in result array

    $row : int

## Reference to fbird resource

    $statement : resource